Bug 486868 - Wireless link with AP very unstable on iwl3945
Wireless link with AP very unstable on iwl3945
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
10
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-22 13:29 EST by Wojciech Pisarski
Modified: 2009-12-18 03:00 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 03:00:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
NetworkManager's log (23.80 KB, text/plain)
2009-02-23 12:25 EST, Wojciech Pisarski
no flags Details

  None (edit)
Description Wojciech Pisarski 2009-02-22 13:29:44 EST
Description of problem:
Some time after establishing wireless connection trough AP it looses link with AP. dmesg says:

wlan0: No ProbeResp from current AP 00:aa:ab:00:72:f9 - assume out of range
iwl3945: Error sending REPLY_RXON: time out after 500ms.
iwl3945: Error setting new configuration (-110).

WiFi works just perfectly on Win Vista. NetworkManager has big trouble reconnecting after this happens even tough it finds my home network. Connection can only be successfully reestablished by either disabling wireless network in NM and reenabling it or manually resetting WiFi link in console (ifconfig wlan0 down, iwconfig wlan0 essid any, ifconfig wlan0 up, iwconfig wlan0 essid dom, dhclient wlan0).

Version-Release number of selected component (if applicable):
kernel.x86_64 2.6.27.15-170.2.24.fc10
NetworkManager.x86_64 1:0.7.0-1.git20090102.fc10
iwl3945-firmware.noarch 15.28.2.8-2

How reproducible:
Always.

Steps to Reproduce:
1. Establish wireless link with AP, manually or trough NetworkManager.
2. Wait few minutes.
  
Additional info:
Good workaround of this problem is replacing NetworkManager with wifiroamd, but it requires some changes in connection scripts it uses in case of hidden networks reducing number of pings before it assumes lost connection and some delay before running dhclient, so it won't start discovering adresses before link is ready,
Comment 1 Wojciech Pisarski 2009-02-23 12:25:49 EST
Created attachment 332951 [details]
NetworkManager's log

/var/log/messages from NetworkManager and kernel after connecting trough NM and leaving it unattended.
Comment 2 Bug Zapper 2009-11-18 06:11:50 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-12-18 03:00:19 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.